#
# todo:
# - use XML ISO entities from sgml-common
#
%define ver	4.2
Summary:	DocBook XML 4.2 DTD
Summary(pl.UTF-8):	DTD dla dokumentów DocBook XML 4.2
Name:		docbook-dtd42-xml
Version:	1.0
Release:	6%{?tld}
Epoch:		1
License:	Free
Group:		Applications/Publishing/XML
Source0:	http://www.oasis-open.org/docbook/xml/%{ver}/docbook-xml-%{ver}.zip
# Source0-md5:	73fe50dfe74ca631c1602f558ed8961f
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	libxml2-progs
BuildRequires:	rpm-build >= 4.0.2-94
BuildRequires:	unzip
Requires(post,preun):	/usr/bin/install-catalog
Requires(post,preun):	/usr/bin/xmlcatalog
Requires:	libxml2-progs >= 2.4.17-6
Requires:	sgml-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dtd_path		%{_datadir}/sgml/docbook/xml-dtd-%{ver}
%define		xmlcat_file		%{dtd_path}/catalog.xml
%define		sgmlcat_file	%{dtd_path}/catalog

%description
DocBook is an XML/SGML vocabulary particularly well suited to books
and papers about computer hardware and software (though it is by no
means limited to only these applications).

This package contains DocBook 4.2 XML DTD.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów XML/SGML przeznaczonych
do tworzenia dokumentacji technicznej. Stosowany jest do pisania
podręczników systemowych, instrukcji jak i wielu innych ciekawych
rzeczy.

Ten pakiet zawiera wersję DocBook 4.2 XML.

%prep
%setup -q -c
chmod -R a+rX *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dtd_path}

install *.{xml,dtd,mod} $RPM_BUILD_ROOT%{dtd_path}
install *.ent $RPM_BUILD_ROOT%{dtd_path} || :
cp -a ent $RPM_BUILD_ROOT%{dtd_path}

%docbook_sgmlcat_fix $RPM_BUILD_ROOT%{sgmlcat_file} %{ver}

cat docbook.cat >> $RPM_BUILD_ROOT%{sgmlcat_file}

%xmlcat_add_rewrite \
	http://www.oasis-open.org/docbook/xml/%{ver} \
	file://%{dtd_path} \
	$RPM_BUILD_ROOT%{xmlcat_file}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q /etc/sgml/xml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	%sgmlcat_add /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

fi
if ! grep -q %{xmlcat_file} /etc/xml/catalog ; then
	%xmlcat_add %{xmlcat_file}

fi

%preun
if [ "$1" = "0" ] ; then
	%sgmlcat_del /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}
	%xmlcat_del %{xmlcat_file}
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%{dtd_path}
%changelog
* Sat Dec 02 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/docbook-dtd42-xml.git;a=log;h=master

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 54eac9f
- mention DocBook version in descriptions

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 4b77c12
- refreshed, PreReq -> Requires

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e41473
- release 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 629db6e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aac0a50
- converted to UTF-8

* Fri May 06 2005 Paweł Sikora <pluto@pld-linux.org> 1580add
- release 5 for Th.

* Sat Feb 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 51a676f
- Summary fix (it's DocBook XML 4.2 only, no SGML DTDs)

* Thu Dec 09 2004 paladine <paladine@pld-linux.org> f20733f
- spaces->tabs
- sorted BRs

* Tue Apr 27 2004 pawcioos <pawcioos@pld-linux.org> eb43dae
- fixed BR: libxml2-progs

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> 37c0bb8
- release 4 for Ac (3 is for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> a6b1553
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 49364b4
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Dec 13 2002 ankry <ankry@pld-linux.org> 53623ea
- adapterized

* Wed Oct 16 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> c984651
- epoch1

* Mon Sep 30 2002 ankry <ankry@pld-linux.org> c2bc9ee
- BR: rpm-build >= 4.0.2-94 (for macro definitions)
- s/sgmlcat_fix/docbook_sgmlcat_fix/ - this macro is really defined

* Fri Sep 27 2002 wrobell <wrobell@pld-linux.org> c3bc11e
- use more macros

* Fri Sep 27 2002 wrobell <wrobell@pld-linux.org> cf0cde8
- macros definition are moved to rpm package
- rel. 3

* Wed Sep 11 2002 Jakub Bogusz <qboosh@pld-linux.org> afc8cab
- more requires; release 2

* Tue Sep 10 2002 wrobell <wrobell@pld-linux.org> e31decf
- typos

* Tue Sep 10 2002 wrobell <wrobell@pld-linux.org> 5024266
- if macros go to macros.sgml or something, we will think about sgmlcat_fix

